Subject: Re: Interactive rebase: using "pick" for merge commits

From: [email-masked]
Date: Tue, 27 Feb 2024 10:41:54 +0000

On 26/02/2024 19:07, Stefan Haller wrote:
> On 26.02.24 11:56, Phillip Wood wrote:
>>> It probably makes more sense to teach lazygit to visualize the
>>> .git/sequencer/todo file, and then use git cherry-pick.
>>
>> If lazygit is generating the todo list for the cherry-pick could it
>> check if the commit is a merge and insert "exec cherry-pick -m ..." for
>> those commits?
> 
> That's a good idea, but it wouldn't buy us very much. We'd still have to
> add support for conflicts during a cherry-pick; when there's a conflict
> during a rebase, lazygit has this nice visualization of the conflicting
> commit (we talked about that in [1], and it turned out to be working
> extremely well), so it would have to learn to do the same thing for a
> conflicting cherry-pick (although this does seem to be a lot easier).
> And then it would have to learn to call "cherry-pick --continue" rather
> than "rebase --continue" after resolving. But if we do all these things,
> then we're not so far away from being able to just call git cherry-pick
> ourselves.

Oh I'd forgotten about handling conflicts - that does make my proposal 
less attractive.

Best Wishes

Phillip

> -Stefan
> 
> [1] <https://public-inbox.org/git/
>       [email-masked]/>